#!/bin/bash
#
# Last update: 2024.5.21
# URL : http://docs.cloudlinux.com/index.html?php_selector.html

# 安裝 PHP Selector
yum groupinstall alt-php -y
yum install lvemanager -y
yum install oniguruma -y

# 設定 PHP Selector
/bin/mv -f /etc/cl.selector/php.conf /etc/cl.selector/php.conf.backup
cp -f /opt/cpinst/cpinst/config/php_conf /etc/cl.selector/php.conf
sed -i 's/^expose_php.*.=.*/expose_php = Off/g' /opt/alt/php*/etc/php.ini
sed -i 's/^log_errors.*.=.*/log_errors = Off/g' /opt/alt/php*/etc/php.ini
sed -i 's/^enable_dl.*.=.*/enable_dl = Off/g' /opt/alt/php*/etc/php.ini
sed -i 's/^disable_functions.*.=.*/disable_functions = symlink,show_source, system, exec, shell_exec, passthru, popen, proc_open, proc_close, proc_get_status, proc_nice, proc_terminate, escapeshellarg, escapeshellcmd, ini_alter, define_syslog_variables,posix_uname,posix_getpwuid,posix_getpwnam, apache_child_terminate,posix_kill,posix_mkfifo,posix_setpgid,posix_setsid,posix_setuid,proc_terminate, posix_uname, diskfreespace, leak,base64_encodem,eval, apache_child_terminate, apache_setenv/g' /opt/alt/php*/etc/php.ini
sed -i 's/date\.timezone.*.=.*/date\.timezone="Asia\/Taipei"/g' /opt/alt/php*/etc/php.ini
sed -i 's/^;memory_limit.*.=.*/memory_limit = 128M/g' /opt/alt/php*/etc/php.ini
sed -i 's/^upload_max_filesize.*/upload_max_filesize = 32M/g' /opt/alt/php*/etc/php.ini
cagefsctl --force-update

# 設定 Default PHP Version 與各 PHP 版本預設的模組
/bin/cp -f /opt/cpinst/cpinst/config/php_select_defaults.cfg /etc/cl.selector/defaults.cfg

# fix bug
sed -i "s/^log_errors/;log_errors/g" /opt/alt/php??/etc/php.ini
